IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[order_33_backmessage_996]') AND type = 'P')
DROP PROCEDURE [dbo].[order_33_backmessage_996]
GO

-- 生成时间:2018-02-26 17:32:08 by ebs-core  
create  procedure order_33_backmessage_996(
     @cmpid int, 
     @ordid bigint,
     @jbid bigint
  ) 
  as  
  begin  
set nocount on  

------ 给执行人发消息  ----------  

insert into ebs_kernel.dbo.pub_message(msg_cmpid,msg_mpid,msg_text,msg_senddate,msg_type,msg_target,msg_cuid)  
select @cmpid,15,'你有一项被回退的工作('+jb_title+')需要及时处理,业务编号【'+ord_no+'】,'+char(9)+'点击查看详情'
+'{title}工作提醒:'+ord_type+char(9)
+'{url}/order/biztop.mobile.htm?crmid='+CONVERT(varchar,ord_bizid)+'&ordid='+CONVERT(varchar,ord_id)+'&jbid='+CONVERT(varchar,jb_id),getdate(),'QYH',substring(cu_qyh , 20,50)  ,cu_id 
from order_33,mps_job,mps_login,mps_job_users 
where  ord_id=@ordid and  jb_id=@jbid and  jp_type='wrkexecutor' and jp_jbid=@jbid and jp_cuid=cu_id and 
cu_type=0 and cu_qyh>'' 

------ 给监督人发消息  ----------  

------ 给协作人发消息  ----------  

------ 给知会人发消息  ----------  

------ 给日志参与人发消息  ----------  

------ 给员工1发消息  ----------  

------ 给员工2发消息  ----------  

------ 给员工3发消息  ----------  


set nocount off  
end